# This file was auto-generated by Fern from our API Definition.

import typing_extensions
from ..core.serialization import FieldMetadata


class MetaParams(typing_extensions.TypedDict):
    """
    Standard metadata included in API responses.
    """

    id: typing_extensions.NotRequired[str]
    """
    Request ID
    """

    org_id: typing_extensions.NotRequired[str]
    """
    Organisation ID associated with the request
    """

    project_id: typing_extensions.NotRequired[str]
    """
    Project ID associated with the request
    """

    object: typing_extensions.NotRequired[str]
    """
    Type of the primary data object in the response (e.g., list, object)
    """

    list_: typing_extensions.NotRequired[typing_extensions.Annotated[bool, FieldMetadata(alias="list")]]
    """
    Whether the response is a list of objects.
    """

    limit: typing_extensions.NotRequired[int]
    """
    Number of items per page.
    """

    total: typing_extensions.NotRequired[int]
    """
    Total number of items matching the query.
    """

    page: typing_extensions.NotRequired[int]
    """
    Current page number.
    """

    pages: typing_extensions.NotRequired[int]
    """
    Total number of pages.
    """
