# This file was auto-generated by Fern from our API Definition.

import typing

import pydantic
import typing_extensions
from ..core.pydantic_utilities import IS_PYDANTIC_V2
from ..core.serialization import FieldMetadata
from ..core.unchecked_base_model import UncheckedBaseModel


class Meta(UncheckedBaseModel):
    """
    Standard metadata included in API responses.
    """

    id: typing.Optional[str] = pydantic.Field(default=None)
    """
    Request ID
    """

    org_id: typing.Optional[str] = pydantic.Field(default=None)
    """
    Organisation ID associated with the request
    """

    project_id: typing.Optional[str] = pydantic.Field(default=None)
    """
    Project ID associated with the request
    """

    object: typing.Optional[str] = pydantic.Field(default=None)
    """
    Type of the primary data object in the response (e.g., list, object)
    """

    list_: typing_extensions.Annotated[typing.Optional[bool], FieldMetadata(alias="list")] = pydantic.Field(
        default=None
    )
    """
    Whether the response is a list of objects.
    """

    limit: typing.Optional[int] = pydantic.Field(default=None)
    """
    Number of items per page.
    """

    total: typing.Optional[int] = pydantic.Field(default=None)
    """
    Total number of items matching the query.
    """

    page: typing.Optional[int] = pydantic.Field(default=None)
    """
    Current page number.
    """

    pages: typing.Optional[int] = pydantic.Field(default=None)
    """
    Total number of pages.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
